#!/bin/sh

brew update

BREW_IGNORE_LIST='yabai\|skhd'
brew upgrade --formula $(brew list --formula | grep --invert-match --regexp $BREW_IGNORE_LIST)

if brew outdated --formula | grep -q "yabai"; then
	yabai --stop-service
	yabai --uninstall-service
	brew upgrade --formula yabai
	yabai --start-service
fi

if brew outdated --formula | grep -q "skhd"; then
	skhd --stop-service
	skhd --uninstall-service
	brew upgrade --formula skhd
	skhd --start-service
fi
